MODULE YOMFPD

USE PARKIND1  ,ONLY : JPIM     ,JPRB

USE PARFPOS

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

!*    Horizontal dimensions and accuracy of the horizontal (sub)domain(s)

!========== FOR ALL KINDS OF OUTPUT (SUB)DOMAINS =========

! NLAT : number of latitudes, poles are not included if Gaussian grid
!        (DM-global).
! NLON : number of longitudes (DM-global).
! RLATC : domain centre  (DM-global)   !
! RLONC : domain centre  (DM-global)   !
! RDELX : resolution in x(DM-global)   !
! RDELY : resolution in y(DM-global)   !
! RLATN : northern limit (DM-global)   !
! RLATS : southern limit (DM-global)   !  IN DEGREES !!!!!
! RLONW : western limit  (DM-global)   !
! RLONE : eastern limit  (DM-global)   !
! NFPSIZEG : number of points in each complete core of subdomain (global variable).
! NFPSIZEL : number of points in each complete extension zone of subdomain (global variable).

!========== FOR ALADIN SUBDOMAIN AS OUTPUT ONLY =============

! NFPLUX: actual last row of longitude (DM-global).
! NFPGUX: actual last row of latitude (DM-global).

INTEGER(KIND=JPIM) :: NLAT(JPOSDOM)
INTEGER(KIND=JPIM) :: NLON(JPOSDOM)
REAL(KIND=JPRB) :: RLATN(JPOSDOM)
REAL(KIND=JPRB) :: RLATS(JPOSDOM)
REAL(KIND=JPRB) :: RLONW(JPOSDOM)
REAL(KIND=JPRB) :: RLONE(JPOSDOM)
INTEGER(KIND=JPIM) :: NFPSIZEG(JPOSDOM)
INTEGER(KIND=JPIM) :: NFPSIZEL(JPOSDOM)

INTEGER(KIND=JPIM) :: NFPLUX
INTEGER(KIND=JPIM) :: NFPGUX

REAL(KIND=JPRB) :: RLATC(JPOSDOM)
REAL(KIND=JPRB) :: RLONC(JPOSDOM)
REAL(KIND=JPRB) :: RDELX(JPOSDOM)
REAL(KIND=JPRB) :: RDELY(JPOSDOM)
!     ------------------------------------------------------------------
END MODULE YOMFPD
